@import "variables";

//work tasks
.op-work-tasks {
  display: flex;
  flex: 1 1 auto;
  flex-direction: row;
  height: 100%;
  width: 100%;
  overflow: hidden;
}

.op-work-tasks__list {
  display: flex;
  flex: 1 1 auto;
  flex-direction: column;
  height: 100%;
  width: 500px;
  max-width: 50%;
  margin-left: 15px;
  overflow: hidden;
  box-shadow: 0 1px 4px 0 $color-fort;
  border-radius: $border-radius-small;
  background-color: $color-border-steam;
  min-width: calc(100% - 350px);

  .box:not(:last-child) {
    margin-bottom: 1px;
  }

  .box {
    border-radius: 0;
    background-color: $color-taj;
  }

  .box.is-loading-task {
    .content {
      background-color: $color-lilac;
      height: 40px;
      color: $color-lilac;
      box-shadow: $standard-box-shadow-lighter;
      border: $alt-border-lighter;
    }
  }
}

//control component
.op-work-tasks__list__controls {
  background-color: $color-border-steam;
  .box {
    margin-bottom: 1px;
  }

  .tabs.is-toggle a:hover {
    background: rgba(39, 142, 252, .55) !important;
    border-color: rgba(3, 104, 212, .55) !important;
  }

  .tabs.is-toggle a {
    border: 1px solid $color-cadence;
  }

}

.orderby--asc.button,
.orderby--desc.button {
  background-color: $color-steam-transparent;
}

//List view component
.op-work-tasks__list__view {
  display: flex;
  flex: 1 1 auto;
  flex-direction: column;
  max-width: 100%;
  overflow: auto;
  background-color: $color-border-steam;

  .op-work-tasks__task__item--displayed {
    background-color: $color-gray-transparent;
  }

  .op_work_task__list__view-item--request {
    border-left: 6px solid $color-azure;
    .subtext {
      color: $color-blue;
      text-transform: uppercase;
      padding-left: 5px;
    }
  }

  .op_work_task__list__view-item--incident {
    border-left: 6px solid $color-mahogany;
    .subtext {
      color: $color-mahogany-alt;
      text-transform: uppercase;
      padding-left: 5px;
    }
  }

  .op_work_task__list__view-item--question {
    border-left: 6px solid $color-light-emerald;
    .subtext {
      color: $color-light-emerald;
      text-transform: uppercase;
      padding-left: 5px;
    }
  }

  .box:hover,
  .box:focus {
    //background-color: rgba(212, 221, 237, 0.8); //rgba(29, 152, 252, 0.23);
    background: rgba(39, 142, 252, .125) !important;
  }

  .op_work_task__list__view-item--delete {
    display: none;
  }

  .op_work_task__list__view-item--current {
    .op_work_task__list__view-item--delete {
      display: flex !important;
    }
  }

}

.op-work-tasks__task__item {
  min-height: 55%;
  display: none;
  background-color: $color-taj;
  border-top: 1px solid $color-cadence;
}

.op-work-tasks__task__item--visible {
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
  width: 100%;

  a {
    color: $color-charminar !important;
  }

  .op-generic-panel-header {
    font-size: 1.3rem;
  }
}

//Filter panel
.op-work-tasks__filters {
  display: flex;
  flex: 1 1 auto;
  flex-direction: column;
  max-width: 320px;
  overflow: auto;
  background-color: $color-taj;
  box-shadow: 0 1px 4px 0 $color-fort;
  border-radius: $border-radius-small;
}

.op-work-tasks__filters__panel {
  overflow: auto;
  min-height: 400px;
  height: 100%;
}

.op-generic-panel-header {
  background-color: $color-lilac-transparent;
  border-bottom: $standard-border-lighter;
  font-size: 12px;
  height: 40px;
  opacity: 1;
  padding: 8px 15px;
  text-transform: uppercase;
  align-items: center;
  cursor: default;
  display: flex;
  min-width: 1px;
  position: relative;
  text-decoration: none;
  width: 100%;

  span {
    align-items: center;
    display: flex;
    flex: 1 1 auto;
    line-height: 1.1;
    opacity: 1;
    position: relative;
  }
}

.op-generic-panel-items {
  display: flex;
  flex: 1 1 auto;
  flex-direction: column;
  overflow: auto;
}

.op-generic-panel-item {
  font-size: 14px;
  min-height: 24px;
  opacity: 1;
  padding: 4px 15px 0 15px;
  text-transform: capitalize;
  align-items: flex-start;
  cursor: default;
  display: flex;
  min-width: 1px;
  position: relative;
  text-decoration: none;
  width: 100%;
  flex-direction: column;
  flex: 0 1 auto;

  label {
    align-items: center;
    display: flex;
    flex: 0 1 auto;
    line-height: 1.1;
    opacity: 1;
    position: relative;
    padding: 5px 10px 5px 0;
    font-weight: bold;
  }
  span {
    align-items: center;
    display: flex;
    flex: 1 1 auto;
    line-height: 1.1;
    opacity: 1;
    position: relative;
    padding-right: 10px;
  }
}

.op-work-tasks__filters__sorting-header {
}

.op-work-tasks__sort-by,
.op-work-tasks__filter-by-type,
.op-work-tasks__filter-by-status,
.op-work-tasks__filter-by-caller {
  padding: 15px;
  border-bottom: $standard-border-lighter;
  .select2 {
    width: 100% !important;
  }

}

//Side panel
.op-work-tasks__sidepanel {
  background-color: $color-taj;
  display: flex;
  flex: 1 1 auto;
  margin-left: 15px;
  flex-direction: column;
  min-height: 400px;
  max-width: 320px;
  overflow: auto;
  box-shadow: 0 1px 4px 0 $color-fort;
  border-radius: $border-radius-small;
}

//create task
.op-manage-task,
.op-create-task {
  max-width: 520px;
  max-height: 100%;
  padding: 5px;
  background-color: $color-taj;
  overflow: auto;

  .columns {
    margin: 0
  }
  .select2,
  #caller_id,
  #request_type_id {
    width: 100% !important;
  }

}


//manage task
.op-manage-task{
}